require "mkmf" ---> can't find header files for ruby?

Discussion in 'Ruby' started by anne001, Jan 15, 2006.

  1. anne001

    anne001 Guest

    I am reposting my request, in case it was not seen, buried in another
    post:
    the first line of extconf.rb is
    require "mkmf", which is also the first line in programming ruby, ed 2
    page 277.

    If I just run that line, I get the same error message,
    ruby
    require "mkmf"
    can't find header files for ruby.

    I am using the ruby that comes with Tiger.
    I did not find a ruby.h file, only an OSX-ruby.h which came in the
    rubycocoa installation.
     
    anne001, Jan 15, 2006
    #1
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. mlt
    Replies:
    2
    Views:
    881
    Jean-Marc Bourguet
    Jan 31, 2009
  2. Daniel Berger
    Replies:
    5
    Views:
    189
    KUBO Takehiro
    Jun 29, 2005
  3. Replies:
    0
    Views:
    135
  4. Lucas L.
    Replies:
    10
    Views:
    312
    Lucas L.
    Oct 3, 2008
  5. Ittay Dror
    Replies:
    1
    Views:
    127
    Nobuyoshi Nakada
    Dec 7, 2008
Loading...

Share This Page